Build fails on travisCI #1768

Closed
twiecki opened this Issue Feb 20, 2013 · 5 comments

4 participants

@twiecki

matplotlib is a dependency for my package (HDDM). During the travisCI build it always hangs at installing matplotlib. Any ideas?

zip_safe flag not set; analyzing archive contents...
281    matplotlib.__init__: module references __file__
282    matplotlib.pyparsing_py3: module MAY be using inspect.stack
283    matplotlib.pyparsing_py2: module MAY be using inspect.stack
284    matplotlib.cbook: module references __file__
285    matplotlib.backends.backend_cocoaagg: module references __file__
286    matplotlib.tests.test_rcparams: module references __file__
287    matplotlib.tests.test_dviread: module references __file__
288    matplotlib.tests.test_image: module references __file__
289    matplotlib.tests.test_ttconv: module references __file__
290    matplotlib.tests.test_png: module references __file__
291    dateutil.zoneinfo.__init__: module references __file__
292    pytz.__init__: module references __file__
293    pytz.tzfile: module references __file__
294    basedirlist is: ['/usr/local', '/usr']
295    ============================================================================
296    BUILDING MATPLOTLIB
297                matplotlib: 1.2.0
298                    python: 2.7.3 (default, Aug  1 2012, 05:14:39)  [GCC 4.6.3]
299                  platform: linux2
300    
301    REQUIRED DEPENDENCIES
302                     numpy: 1.6.2
303                 freetype2: 14.0.8
304    
305    OPTIONAL BACKEND DEPENDENCIES
306                    libpng: 1.2.46
307                   Tkinter: no
308                            * Using default library and include directories for
309                            * Tcl and Tk because a Tk window failed to open.
310                            * You may need to define DISPLAY for Tk to work so
311                            * that setup can determine where your libraries are
312                            * located. Tkinter present, but header files are not
313                            * found. You may need to install development
314                            * packages.
315                      Gtk+: no
316                            * Building for Gtk+ requires pygtk; you must be able
317                            * to "import gtk" in your build/install environment
318           Mac OS X native: no
319                        Qt: no
320                       Qt4: no
321                    PySide: no
322                     Cairo: no
323    
324    OPTIONAL DATE/TIMEZONE DEPENDENCIES
325                  dateutil: matplotlib will provide
326                      pytz: matplotlib will provide
327    
328    OPTIONAL USETEX DEPENDENCIES
329                    dvipng: no
330               ghostscript: 9.05
331                     latex: no
332    
333    [Edit setup.cfg to suppress the above messages]
334    ============================================================================
335    pymods ['pylab']
336    packages ['matplotlib', 'matplotlib.backends', 'matplotlib.backends.qt4_editor', 'matplotlib.projections', 'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests', 'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid', 'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist', 'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz', 'dateutil', 'dateutil.zoneinfo']
337    
338    Installed /home/travis/virtualenv/python2.7/build/kabuki/matplotlib-1.2.0-py2.7-linux-x86_64.egg
339    Searching for pandas>=0.6.0
340    Reading http://pypi.python.org/simple/pandas/
341    Reading http://pandas.pydata.org
342    Reading http://pandas.sourceforge.net
343    Best match: pandas 0.10.1
344    Downloading http://pypi.python.org/packages/source/p/pandas/pandas-0.10.1.zip#md5=b9127d9695aa501e3696a608427622ca
345    Processing pandas-0.10.1.zip
346    Writing /tmp/easy_install-CTuKbX/pandas-0.10.1/setup.cfg
347    Running pandas-0.10.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-CTuKbX/pandas-0.10.1/egg-dist-tmp-IO2iuv
348    warning: no files found matching 'setupegg.py'
349    no previously-included directories found matching 'doc/build'
350    warning: no previously-included files matching '*.so' found anywhere in distribution
351    warning: no previously-included files matching '*.pyd' found anywhere in distribution
352    warning: no previously-included files matching '*.pyc' found anywhere in distribution
353    warning: no previously-included files matching '.git*' found anywhere in distribution
354    warning: no previously-included files matching '.DS_Store' found anywhere in distribution
355    warning: no previously-included files matching '*.png' found anywhere in distribution
356    Traceback (most recent call last):
357      File "<string>", line 16, in <module>
358      File "/home/travis/virtualenv/python2.7/build/kabuki/setup.py", line 12, in <module>
359        setup_requires=['NumPy >= 1.5.0', 'PyMC >= 2.2', 'ordereddict >= 1.1', 'pandas >= 0.6.0', 'matplotlib >= 1.0.0']
360      File "/usr/lib/python2.7/distutils/core.py", line 112, in setup
361        _setup_distribution = dist = klass(attrs)
362      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 221, in __init__
363        self.fetch_build_eggs(attrs.pop('setup_requires'))
364      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 246, in fetch_build_eggs
365        replace_conflicting=True
366      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 596, in resolve
367        dist = best[req.key] = env.best_match(req, ws, installer)
368      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 841, in best_match
369        return self.obtain(req, installer) # try and download/install
370      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 853, in obtain
371        return installer(requirement)
372      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 296, in fetch_build_egg
373        return cmd.easy_install(req)
374      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 598, in easy_install
375        return self.install_item(spec, dist.location, tmpdir, deps)
376      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 628, in install_item
377        dists = self.install_eggs(spec, download, tmpdir)
378      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 823, in install_eggs
379        return self.build_and_install(setup_script, setup_base)
380      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 1103, in build_and_install
381        self.run_setup(setup_script, setup_base, args)
382      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 1089, in run_setup
383        run_setup(setup_script, args)
384      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 30, in run_setup
385        lambda: execfile(
386      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 78, in run
387        return func()
388      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 32, in <lambda>
389        {'__file__':setup_script, '__name__':'__main__'}
390      File "setup.py", line 723, in <module>
391    
392      File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
393        dist.run_commands()
394      File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
395        self.run_command(cmd)
396      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
397        cmd_obj.run()
398      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/bdist_egg.py", line 179, in run
399        cmd = self.call_command('install_lib', warn_dir=0)
400      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/bdist_egg.py", line 166, in call_command
401        self.run_command(cmdname)
402      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
403        self.distribution.run_command(command)
404      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
405        cmd_obj.run()
406      File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/install_lib.py", line 20, in run
407        self.build()
408      File "/usr/lib/python2.7/distutils/command/install_lib.py", line 111, in build
409        self.run_command('build_ext')
410      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
411        self.distribution.run_command(command)
412      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
413        cmd_obj.run()
414      File "/usr/lib/python2.7/distutils/command/build_ext.py", line 309, in run
415        customize_compiler(self.compiler)
416      File "/tmp/easy_install-gSsxw6/matplotlib-1.2.0/setupext.py", line 209, in my_customize_compiler
417    TypeError: 'NoneType' object is not callable
418    Complete output from command python setup.py egg_info:
419    warning: no files found matching 'KNOWN_BUGS'
420
421warning: no files found matching 'INTERACTIVE'
422
423warning: no files found matching 'make.osx'
424
425warning: no files found matching 'MANIFEST'
426
427warning: no files found matching '__init__.py'
428
429warning: no files found matching 'examples/data/*'
430
431warning: no files found matching 'lib/mpl_toolkits'
432
433warning: no files found matching 'lib/matplotlib/mpl-data/matplotlib.conf'
434
435warning: no files found matching 'lib/matplotlib/mpl-data/matplotlib.conf.template'
436
437warning: manifest_maker: MANIFEST.in, line 16: 'recursive-include' expects <dir> <pattern1> <pattern2> ...
438
439
440
441warning: no files found matching 'LICENSE*' under directory 'license'
442
443In file included from /usr/include/python2.7/Python.h:8:0,
444
445                 from src/mplutils.h:18,
446
447                 from src/mplutils.cpp:6:
448
449/usr/include/python2.7/pyconfig.h:1161:0: warning: "_POSIX_C_SOURCE" redefined [enabled by default]
450
451/usr/include/features.h:164:0: note: this is the location of the previous definition
452
453/usr/include/python2.7/pyconfig.h:1183:0: warning: "_XOPEN_SOURCE" redefined [enabled by default]
454
455/usr/include/features.h:166:0: note: this is the location of the previous definition
456
457src/_ttconv.cpp: In function ‘void initttconv()’:
458
459src/_ttconv.cpp:312:15: warning: variable ‘m’ set but not used [-Wunused-but-set-variable]
460
461ttconv/pprdrv_tt.cpp: In function ‘void Read_name(TTFONT*)’:
462
463ttconv/pprdrv_tt.cpp:182:18: warning: variable ‘encoding’ set but not used [-Wunused-but-set-variable]
464
465ttconv/pprdrv_tt.cpp:183:9: warning: variable ‘language’ set but not used [-Wunused-but-set-variable]
466
467ttconv/pprdrv_tt2.cpp: In member function ‘void GlyphToType3::do_composite(TTStreamWriter&, TTFONT*, unsigned char*)’:
468
469ttconv/pprdrv_tt2.cpp:421:12: warning: variable ‘xscale’ set but not used [-Wunused-but-set-variable]
470
471lib/matplotlib/delaunay/VoronoiDiagramGenerator.cpp: In member function ‘bool VoronoiDiagramGenerator::voronoi(int)’:
472
473lib/matplotlib/delaunay/VoronoiDiagramGenerator.cpp:946:9: warning: ‘newintstar.Point::y’ may be used uninitialized in this function [-Wuninitialized]
474
475lib/matplotlib/delaunay/natneighbors.cpp: In member function ‘void NaturalNeighbors::interpolate_grid(double*, double, double, int, double, double, int, double*, double, int)’:
476
477lib/matplotlib/delaunay/natneighbors.cpp:265:9: warning: variable ‘i’ set but not used [-Wunused-but-set-variable]
478
479src/path.cpp: In function ‘void init_path()’:
480
481src/path.cpp:1713:26: warning: variable ‘_path’ set but not used [-Wunused-but-set-variable]
482
483lib/matplotlib/tri/_tri.cpp: In function ‘void init_tri()’:
484
485lib/matplotlib/tri/_tri.cpp:993:23: warning: variable ‘triModule’ set but not used [-Wunused-but-set-variable]
486
487In file included from /usr/include/python2.7/Python.h:8:0,
488
489                 from src/mplutils.h:18,
490
491                 from src/mplutils.cpp:6:
492
493/usr/include/python2.7/pyconfig.h:1161:0: warning: "_POSIX_C_SOURCE" redefined [enabled by default]
494
495/usr/include/features.h:164:0: note: this is the location of the previous definition
496
497/usr/include/python2.7/pyconfig.h:1183:0: warning: "_XOPEN_SOURCE" redefined [enabled by default]
498
499/usr/include/features.h:166:0: note: this is the location of the previous definition
500
501In file included from /usr/include/python2.7/Python.h:8:0,
502
503                 from src/mplutils.h:18,
504
505                 from src/mplutils.cpp:6:
506
507/usr/include/python2.7/pyconfig.h:1161:0: warning: "_POSIX_C_SOURCE" redefined [enabled by default]
508
509/usr/include/features.h:164:0: note: this is the location of the previous definition
510
511/usr/include/python2.7/pyconfig.h:1183:0: warning: "_XOPEN_SOURCE" redefined [enabled by default]
512
513/usr/include/features.h:166:0: note: this is the location of the previous definition
514
515src/backend_agg.cpp: In member function ‘Py::Object BufferRegion::to_string_argb(const Py::Tuple&)’:
516
517src/backend_agg.cpp:157:20: warning: variable ‘end’ set but not used [-Wunused-but-set-variable]
518
519src/backend_agg.cpp: In member function ‘Py::Object RendererAgg::write_rgba(const Py::Tuple&)’:
520
521src/backend_agg.cpp:2032:10: warning: variable ‘close_file’ set but not used [-Wunused-but-set-variable]
522
523src/backend_agg.cpp: In function ‘void init_backend_agg()’:
524
525src/backend_agg.cpp:2508:33: warning: variable ‘_backend_agg’ set but not used [-Wunused-but-set-variable]
526
527src/image.cpp: In member function ‘Py::Object Image::resize(const Py::Tuple&, const Py::Dict&)’:
528
529src/image.cpp:443:23: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
530
531src/image.cpp:443:44: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
532
533In file included from /usr/include/python2.7/Python.h:8:0,
534
535                 from src/mplutils.h:18,
536
537                 from src/mplutils.cpp:6:
538
539/usr/include/python2.7/pyconfig.h:1161:0: warning: "_POSIX_C_SOURCE" redefined [enabled by default]
540
541/usr/include/features.h:164:0: note: this is the location of the previous definition
542
543/usr/include/python2.7/pyconfig.h:1183:0: warning: "_XOPEN_SOURCE" redefined [enabled by default]
544
545/usr/include/features.h:166:0: note: this is the location of the previous definition
546
547src/_png.cpp: In function ‘void init_png()’:
548
549src/_png.cpp:622:25: warning: variable ‘_png’ set but not used [-Wunused-but-set-variable]
550
551In file included from /usr/include/python2.7/Python.h:8:0,
552
553                 from src/mplutils.h:18,
554
555                 from src/mplutils.cpp:6:
556
557/usr/include/python2.7/pyconfig.h:1161:0: warning: "_POSIX_C_SOURCE" redefined [enabled by default]
558
559/usr/include/features.h:164:0: note: this is the location of the previous definition
560
561/usr/include/python2.7/pyconfig.h:1183:0: warning: "_XOPEN_SOURCE" redefined [enabled by default]
562
563/usr/include/features.h:166:0: note: this is the location of the previous definition
564
565zip_safe flag not set; analyzing archive contents...
566
567matplotlib.__init__: module references __file__
568
569matplotlib.pyparsing_py3: module MAY be using inspect.stack
570
571matplotlib.pyparsing_py2: module MAY be using inspect.stack
572
573matplotlib.cbook: module references __file__
574
575matplotlib.backends.backend_cocoaagg: module references __file__
576
577matplotlib.tests.test_rcparams: module references __file__
578
579matplotlib.tests.test_dviread: module references __file__
580
581matplotlib.tests.test_image: module references __file__
582
583matplotlib.tests.test_ttconv: module references __file__
584
585matplotlib.tests.test_png: module references __file__
586
587dateutil.zoneinfo.__init__: module references __file__
588
589pytz.__init__: module references __file__
590
591pytz.tzfile: module references __file__
592
593basedirlist is: ['/usr/local', '/usr']
594
595============================================================================
596
597BUILDING MATPLOTLIB
598
599            matplotlib: 1.2.0
600
601                python: 2.7.3 (default, Aug  1 2012, 05:14:39)  [GCC 4.6.3]
602
603              platform: linux2
604
605
606
607REQUIRED DEPENDENCIES
608
609                 numpy: 1.6.2
610
611             freetype2: 14.0.8
612
613
614
615OPTIONAL BACKEND DEPENDENCIES
616
617                libpng: 1.2.46
618
619               Tkinter: no
620
621                        * Using default library and include directories for
622
623                        * Tcl and Tk because a Tk window failed to open.
624
625                        * You may need to define DISPLAY for Tk to work so
626
627                        * that setup can determine where your libraries are
628
629                        * located. Tkinter present, but header files are not
630
631                        * found. You may need to install development
632
633                        * packages.
634
635                  Gtk+: no
636
637                        * Building for Gtk+ requires pygtk; you must be able
638
639                        * to "import gtk" in your build/install environment
640
641       Mac OS X native: no
642
643                    Qt: no
644
645                   Qt4: no
646
647                PySide: no
648
649                 Cairo: no
650
651
652
653OPTIONAL DATE/TIMEZONE DEPENDENCIES
654
655              dateutil: matplotlib will provide
656
657                  pytz: matplotlib will provide
658
659
660
661OPTIONAL USETEX DEPENDENCIES
662
663                dvipng: no
664
665           ghostscript: 9.05
666
667                 latex: no
668
669
670
671[Edit setup.cfg to suppress the above messages]
672
673============================================================================
674
675pymods ['pylab']
676
677packages ['matplotlib', 'matplotlib.backends', 'matplotlib.backends.qt4_editor', 'matplotlib.projections', 'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests', 'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid', 'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist', 'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz', 'dateutil', 'dateutil.zoneinfo']
678
679
680
681Installed /home/travis/virtualenv/python2.7/build/kabuki/matplotlib-1.2.0-py2.7-linux-x86_64.egg
682
683Searching for pandas>=0.6.0
684
685Reading http://pypi.python.org/simple/pandas/
686
687Reading http://pandas.pydata.org
688
689Reading http://pandas.sourceforge.net
690
691Best match: pandas 0.10.1
692
693Downloading http://pypi.python.org/packages/source/p/pandas/pandas-0.10.1.zip#md5=b9127d9695aa501e3696a608427622ca
694
695Processing pandas-0.10.1.zip
696
697Writing /tmp/easy_install-CTuKbX/pandas-0.10.1/setup.cfg
698
699Running pandas-0.10.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-CTuKbX/pandas-0.10.1/egg-dist-tmp-IO2iuv
700
701warning: no files found matching 'setupegg.py'
702
703no previously-included directories found matching 'doc/build'
704
705warning: no previously-included files matching '*.so' found anywhere in distribution
706
707warning: no previously-included files matching '*.pyd' found anywhere in distribution
708
709warning: no previously-included files matching '*.pyc' found anywhere in distribution
710
711warning: no previously-included files matching '.git*' found anywhere in distribution
712
713warning: no previously-included files matching '.DS_Store' found anywhere in distribution
714
715warning: no previously-included files matching '*.png' found anywhere in distribution
716
717Traceback (most recent call last):
718
719  File "<string>", line 16, in <module>
720
721  File "/home/travis/virtualenv/python2.7/build/kabuki/setup.py", line 12, in <module>
722
723    setup_requires=['NumPy >= 1.5.0', 'PyMC >= 2.2', 'ordereddict >= 1.1', 'pandas >= 0.6.0', 'matplotlib >= 1.0.0']
724
725  File "/usr/lib/python2.7/distutils/core.py", line 112, in setup
726
727    _setup_distribution = dist = klass(attrs)
728
729  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 221, in __init__
730
731    self.fetch_build_eggs(attrs.pop('setup_requires'))
732
733  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 246, in fetch_build_eggs
734
735    replace_conflicting=True
736
737  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 596, in resolve
738
739    dist = best[req.key] = env.best_match(req, ws, installer)
740
741  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 841, in best_match
742
743    return self.obtain(req, installer) # try and download/install
744
745  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/pkg_resources.py", line 853, in obtain
746
747    return installer(requirement)
748
749  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/dist.py", line 296, in fetch_build_egg
750
751    return cmd.easy_install(req)
752
753  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 598, in easy_install
754
755    return self.install_item(spec, dist.location, tmpdir, deps)
756
757  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 628, in install_item
758
759    dists = self.install_eggs(spec, download, tmpdir)
760
761  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 823, in install_eggs
762
763    return self.build_and_install(setup_script, setup_base)
764
765  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 1103, in build_and_install
766
767    self.run_setup(setup_script, setup_base, args)
768
769  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/easy_install.py", line 1089, in run_setup
770
771    run_setup(setup_script, args)
772
773  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 30, in run_setup
774
775    lambda: execfile(
776
777  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 78, in run
778
779    return func()
780
781  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/sandbox.py", line 32, in <lambda>
782
783    {'__file__':setup_script, '__name__':'__main__'}
784
785  File "setup.py", line 723, in <module>
786
787
788
789  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
790
791    dist.run_commands()
792
793  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
794
795    self.run_command(cmd)
796
797  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
798
799    cmd_obj.run()
800
801  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/bdist_egg.py", line 179, in run
802
803    cmd = self.call_command('install_lib', warn_dir=0)
804
805  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/bdist_egg.py", line 166, in call_command
806
807    self.run_command(cmdname)
808
809  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
810
811    self.distribution.run_command(command)
812
813  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
814
815    cmd_obj.run()
816
817  File "/home/travis/virtualenv/python2.7/local/lib/python2.7/site-packages/distribute-0.6.31-py2.7.egg/setuptools/command/install_lib.py", line 20, in run
818
819    self.build()
820
821  File "/usr/lib/python2.7/distutils/command/install_lib.py", line 111, in build
822
823    self.run_command('build_ext')
824
825  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
826
827    self.distribution.run_command(command)
828
829  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
830
831    cmd_obj.run()
832
833  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 309, in run
834
835    customize_compiler(self.compiler)
836
837  File "/tmp/easy_install-gSsxw6/matplotlib-1.2.0/setupext.py", line 209, in my_customize_compiler
838
839TypeError: 'NoneType' object is not callable
840
841----------------------------------------
842Command python setup.py egg_info failed with error code 1 in /home/travis/virtualenv/python2.7/build/kabuki
843Storing complete log in /home/travis/.pip/pip.log
844
845The command "pip install kabuki" failed and exited with 1 during install.
846
847Your build has been stopped.
@mdboom
Matplotlib Developers member

I haven't seen this one before -- but it looks like distutils.sysconfig.customize_compiler is None somehow. Is there anything installed prior that is monkey-patching distutils here?

@twiecki

Not that I know of. This is the travis file:
https://github.com/hddm-devs/hddm/blob/master/.travis.yml

@mdboom
Matplotlib Developers member

It looks like python-matplotlib is being installed from a package in your .travis.yml, so I'm not sure why it's then trying to install it from source. Perhaps the version specified by kabuki is more recent than the package? I realize that doesn't provide a solution, but perhaps it points at something to try.

@dmcdougall
Matplotlib Developers member

I wonder if something else is trying to install it for you. Maybe try taking out the pip install matplotlib line?

@twiecki

I fixed this now. I think it was a result of installing packages in a wrong order as pip install -r requirements.txt does not preserve the order of requirements.txt.

@pelson pelson closed this Mar 25, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment